Main Page Namespace List Class Hierarchy Alphabetical List Compound List File List Namespace Members Compound Members File Members Related Pages

# TAO_Objref_Out_T< T > Class Template Reference

Parametrized implementation of _out class for object references. More...

`#include <Objref_VarOut_T.h>`

Collaboration diagram for TAO_Objref_Out_T< T >:

[legend]
List of all members.

## Public Methods
| TAO_Objref_Out_T (T *&)
| TAO_Objref_Out_T (TAO_Objref_Var_T< T > &)
| TAO_Objref_Out_T (const TAO_Objref_Out_T< T > &)
TAO_Objref_Out_T & | operator= (const TAO_Objref_Out_T< T > &)
TAO_Objref_Out_T & | operator= (const TAO_Objref_Var_T< T > &)
TAO_Objref_Out_T & | operator= (T *)
| operator T *& ()
T *& | ptr (void)
T * | operator-> (void)
## Private Types
typedef TAO_Objref_Out_T< T > | THIS_OUT_TYPE
## Private Attributes
T *& | ptr_

## Detailed Description

### template<typename T>
class TAO_Objref_Out_T< T >

Parametrized implementation of _out class for object references.

## Member Typedef Documentation

template<typename T>
typedef TAO_Objref_Out_T<T> TAO_Objref_Out_T< T >::THIS_OUT_TYPE`[private]`

## Constructor & Destructor Documentation

template<typename T>
TAO_Objref_Out_T< T >::TAO_Objref_Out_T | ( | T *& |  | ) |

template<typename T>
TAO_Objref_Out_T< T >::TAO_Objref_Out_T | ( | TAO_Objref_Var_T< T > & |  | ) |

template<typename T>
TAO_Objref_Out_T< T >::TAO_Objref_Out_T | ( | const TAO_Objref_Out_T< T > & |  | ) |

## Member Function Documentation

template<typename T>
TAO_Objref_Out_T< T >::operator T *& | ( |  | ) |

template<typename T>
T * TAO_Objref_Out_T< T >::operator-> | ( | void |  | ) |

template<typename T>
TAO_Objref_Out_T< T > & TAO_Objref_Out_T< T >::operator= | ( | T * |  | ) |

template<typename T>
TAO_Objref_Out_T< T > & TAO_Objref_Out_T< T >::operator= | ( | const TAO_Objref_Var_T< T > & |  | ) |

template<typename T>
TAO_Objref_Out_T< T > & TAO_Objref_Out_T< T >::operator= | ( | const TAO_Objref_Out_T< T > & |  | ) |

template<typename T>
T *& TAO_Objref_Out_T< T >::ptr | ( | void |  | ) |

## Member Data Documentation

template<typename T>
T*& TAO_Objref_Out_T< T >::ptr_`[private]`

The documentation for this class was generated from the following files:

- Objref_VarOut_T.h
- Objref_VarOut_T.cpp